import {
  DialogContext
} from "botbuilder-dialogs";
const { BotFrameworkAdapter } = require('botbuilder');

export class OAuthActions {  
  public static async signout(dc: DialogContext, userId: string, connectionName: string, msAppId: string, msAppPwd: string) {
    const adapter = new BotFrameworkAdapter({
      msAppId,
      msAppPwd
    });
    await adapter.signOutUser(dc.context, connectionName, userId);
    // await dc.context.sendActivity('You have been signed out. ');
  }
}
